LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-28-2013, 04:48 PM   #1
mansourhatef
LQ Newbie
 
Registered: Sep 2013
Posts: 2

Rep: Reputation: Disabled
Red face upgrading from Apache 2.2.0 To 2.4.6 in Open Suse 10.1?


How do you upgrade Apache from ver 2.2.0 to ver 2.4.6 on an Open Suse 10.1 Server? I downloaded the upgrade from Apache site but did not find the instruction for installation.
 
Old 10-28-2013, 07:18 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,817

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
your best option is to first contact novell
then buy the current SELS11 sp3

sels 10 is very old
and if this is actually "OpenSUSE 10.1"
it is and has been DEAD and UNSUPPORTED for a VERY VERY LONG TIME
it hit it's END OF LIFE back in 2008 , May of 2008


-- so for the last 5 years you have NOT installed any SECURITY fixes nor in the last 5 years installed any updates


install a SUPPORTED Operating System first !!!!!!!!
SUSE Enterprise Linux Server ( SELS) 11 service pack 3
or
OpenSUSE 12.3 or soon to be released OpenSUSE 13.1
Warning:
but be WARNED !!!!!!!
opensuse is NO LONGER using the old system V !
they moved over to System D setup
-- there are no longer runlevels

Last edited by John VV; 10-28-2013 at 07:19 PM.
 
Old 10-30-2013, 09:38 AM   #3
mansourhatef
LQ Newbie
 
Registered: Sep 2013
Posts: 2

Original Poster
Rep: Reputation: Disabled
John VV;
Thank you for your response and advice. I already Installed Opensuse 12.3 on another server and testing it. The Opensuse 10.1 server is being used by students for a project and they need newer version of the Apache 2.4.6. As soon as Fall semester is over I am going to take your advice and upgrade the OS on this server. In the meantime, I have to upgrade the Apache for them to help them with their project.
 
Old 10-30-2013, 01:14 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,817

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
well for a 5+ year old os that is missing the last 5 years of security updates and program/ software updates

- this is going to be , basally, a Nightmare !!
-- And YES the Halloween pun is intended

build ALL and i do MEAN ALL the dependencies for apache 2.4
and ALL the dependencies for the REQUIRED dependencies and the dependencies for the dependencies for the dependencies.... and so on .....

a guess in the time table
a week or two

the whole lamp stack will have to be built from source code

and even then it is open to the last 5 years of NOW FIXED security holes


build the current php
the current mysql ( or mariaDB)
the current mysqladmin
the current perl ( if needed)

and build and install ( side by side) the new and different versions of all the programs that the above need
that opensuse 10 used 5 years ago
Warning:
YOU CAN NOT replace any system files !!!!
build any new things like glibc, libpng,libjpg,libm,and gcc, & autotools in a "side - by - side" set up !!!!!!!!!!!!!
you might have to install from source a new version of gcc and autotools-- from source !!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
upgrading apache httpd to suse linux 11 nuttynibbles Linux - Software 1 09-24-2012 07:48 AM
installing apache tomcat 6 on open suse linux 11.3 sisirkumar Linux - Newbie 2 09-12-2011 02:49 PM
How to get Apache running on Open Suse- unknown 403 error mrukjames Linux - Server 4 10-02-2008 07:42 PM
upgrading open suse 10.0 to 10.1 rahilrai SUSE / openSUSE 13 05-15-2006 04:14 PM


All times are GMT -5. The time now is 08:32 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration